## org.apache.poi.ss.format
Class CellFormatCondition

    java.lang.Object
      org.apache.poi.ss.format.CellFormatCondition

    public abstract class CellFormatCondition

extends java.lang.Object

This object represents a condition in a cell format.

Author:
  Ken Arnold, Industrious Media LLC

Constructor Summary
`CellFormatCondition()`

Method Summary
`static CellFormatCondition` `getInstance(java.lang.String opString, java.lang.String constStr)` Returns an instance of a condition object.
`abstract boolean` `pass(double value)` Returns `true` if the given value passes the constraint's test.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CellFormatCondition

    public CellFormatCondition()

Method Detail

### getInstance

    public static CellFormatCondition getInstance(java.lang.String opString,
                                                  java.lang.String constStr)

  Returns an instance of a condition object.

  Parameters:
    `opString` - The operator as a string. One of `"<"`, `"<="`, `">"`, `">="`, `"="`, `"=="`, `"!="`, or `"<>"`.
    `constStr` - The constant (such as `"12"`).
  Returns:
    A condition object for the given condition.

### pass

    public abstract boolean pass(double value)

  Returns `true` if the given value passes the constraint's test.

  Parameters:
    `value` - The value to compare against.
  Returns:
    `true` if the given value passes the constraint's test.

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.